Home

Sign a transaction

POST
https://algo.nownodes.io/v1/transaction/sign

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Signs the passed transaction with a key from the wallet, determined by the sender encoded in the transaction.

Body

application/json

APIV1POSTTransactionSignRequest is the request for POST /v1/transaction/sign

public_keyArray<integer>
transactionstring<byte>

Base64 encoding of msgpack encoding of a Transaction object Note: SDK and goal usually generate SignedTxn objects in that case, the field txn / Transaction of the generated SignedTxn object needs to be used

wallet_handle_tokenstring
wallet_passwordstring

Response

200OK

Response to POST /v1/transaction/sign